#messages {
  flex: 1;
}

.messages-container {
  flex: 1;
  position: relative;
  display: flex;
  align-items: flex-end;
  z-index: 2;
}

.messages-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

#messages-bg-text {
  opacity: .3;
  font-size: 40px;
  font-weight: bold;
  text-transform: uppercase;
}

.insert-emoji {
  background-color: #eee;
  position: absolute;
  bottom: -200px;
  z-index: 100;

  &.open {
    bottom: 52px;
    animation: open-emoji .5s ease-in-out forwards;
  }

  &.close {
    bottom: -200px;
    animation: close-emoji .5s ease-in-out forwards;
  }

  div {
    width: 48px;
    font-size: 24px;
    line-height: 48px;
    text-align: center;
    border-radius: 4px;
    margin: 2px;
    background: #fff;
    cursor: pointer;
  }
}

#write-message {
  background: #333;
  z-index: 101;

  button {
    margin: 4px 4px 4px 0;
    font-size: 20px;
    text-transform: uppercase;
    font-weight: bold;

    &.emoji {
      width: 50px;
    }

    &.send {
      width: 150px;
    }

    &[disabled] {
      cursor: not-allowed;
    }
  }
}

#write-message-input {
  flex: 1;
  margin: 4px;
  font-size: 20px;

  &[disabled] {
    cursor: not-allowed;
  }
}

#msgs {
  list-style: none;
  margin: 20px;
  padding: 0;
  height: calc(100vh - 182px);
  overflow-y: scroll;
  width: 100%;

  li {
    color: #aaa;
    margin: 5px 0;
    position: relative;

    &.me {
      color: #ffffaa;

      .del-msg {
        background-color: #ddd;
        border-radius: 3px;
        color: #a00;
        cursor: pointer;
        display: none;
        line-height: 1;
        margin-right: 5px;
        padding: 2px 5px;
        position: absolute;
        right: 0;
        opacity: 0;
        transition: opacity 1s;
      }
    }

    &:hover {
      .del-msg {
        display: inline-block;
        opacity: 1;
      }
    }
  }
}
